* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body,
html {
  margin: 0;
  padding: 0;
  width: 100%;
  /* height: 2480px; */
  height: 2000px;
  min-height: 100%;
  background-color: var(--custom-black);
  color: var(--custom-white);
  font-family: Arial, sans-serif;
}

body {
  background-color: black;
  background-image: 
    linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
    linear-gradient(90deg, color-mix(in srgb, var(--color-secondary) 50%, transparent) 2px, transparent 2px), 
    linear-gradient(0deg, color-mix(in srgb, var(--color-secondary) 50%, transparent) 2px, transparent 2px),
    linear-gradient(90deg, color-mix(in srgb, var(--color-primary) 50%, transparent) 2px, transparent 10px), 
    linear-gradient(0deg, color-mix(in srgb, var(--color-primary) 50%, transparent) 2px, transparent 10px);
  background-size: 100%, 50px 50px, 50px 50px, 50px 50px, 50px 50px;
  background-blend-mode: normal, lighten;
}

#container {
  position: absolute;
  top: 0;
  width: 100%;
}

.top-banner {
  position: relative;
  width: 100%;
  height: 100vh;
  background: url('/ressources/city.png') center / cover no-repeat;
  display: flex;
  align-items: flex-end;
  padding-bottom: 20px;
  overflow: hidden;
  z-index: 1;
}

.content-section {
  padding: 50px 20px;
  text-align: center;
}

.content-section h1 {
  font-size: 2rem;
  margin-bottom: 20px;
}

.content-section p {
  font-size: 1rem;
}

.section-separator {
  position: relative;
  width: 100%;
  height: 100px;
  background: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.separator-line {
  width: 30%;
  height: 5px;
  background-color: var(--custom-white);
  box-shadow: 0 0 10px var(--custom-white), 0 0 20px var(--custom-white);
  margin: 0 20px;
  border-radius: 30px;
}

.glowy {
  box-shadow: 0 0 10px var(--custom-white), 0 0 20px var(--custom-white);
}

.landing-view-container {
  padding: 30px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50%;
  max-width: 700px;
  height: auto;
  background-color: var(--custom-black);
  opacity: 0.8;
  z-index: 2;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 15px;
  border-radius: 30px;
  display: none;
}

.landing-view-container .side-section {
  text-align: center;
  display: flex;
  vertical-align: middle;
  max-width: calc(100% - 415px);
  flex-flow: row wrap;
  gap: 15px;
  min-width: 210px;
}

.landing-view-container .side-section .socials_container {
  width: 100%;
  display: flex;
  flex-flow: row wrap;
  background-color: var(--custom-white);
  color: var(--custom-black);
  border-radius: 20px;
  justify-content: center;
  padding-top: 10px;
  padding-bottom: 10px;
}

.landing-view-container .side-section .socials_container .social_container {
  width: 100%;
  display: flex;
  flex-flow: row nowrap;
  gap: 10px;
  margin: auto;
  margin-left: 20px;
  margin-right: 20px;
  cursor: pointer;
}

.landing-view-container .side-section .socials_container .social_container:hover {
  color: var(--color-secondary);
}

.landing-view-container .side-section .socials_container .social_container img {
  width: 22px;
}

.landing-view-container .side-section .socials_container .social_container div {
  font-size: 19px;
  font-weight: bold;
}

.landing-view-container .side-section .descriptions_container {
  width: 100%;
  display: flex;
  flex-flow: column nowrap;
  color: var(--custom-black);
  border-radius: 20px;
  justify-content: center;
  align-items: center;
  height: calc(75% - 15px);
  background-color: var(--color-primary);
  padding: 15px;
}

.landing-view-container .side-section .descriptions_container .description_container {
  width: 100%;
  display: flex;
  flex-flow: row nowrap;
  gap: 10px;
  margin: auto;
  margin-left: 10px;
  margin-right: 10px;
  font-size: 18px;
  font-weight: bold;
}

.pause-button {
  position: fixed;
  bottom: 20px;
  left: 20px;
  padding: 10px 20px;
  background-color: var(--custom-grey);
  color: var(--custom-white);
  border: none;
  cursor: pointer;
  border-radius: 5px;
  font-size: 16px;
  z-index: 99;
}

.pause-button:hover {
  background-color: var(--custom-light-grey);
}

.success {
  color: green;
}

.error {
  color: red;
}

#mint_section {
  display: none;
  width: 400px;
}

#mint_section h1 {
  width: 100%;
  text-align: center;
  padding: 20px;
}

#mint_section iframe {
  height: 367px;
  width: 100%;
  border:3px solid var(--primary-color);
  border-radius: 20px;
  /* filter: grayscale(100%); */
}

@media (max-width: 1370px) {
  .top-banner img {
    display: none;
  }
}

@media (max-width: 1370px) {
  .landing-view-container {
    width: 400px;
    max-width: auto;
  }
  .content-section-title {
    font-size: 2em !important;
  }
}

@media (max-width: 450px) {
  .landing-view-container {
    padding-top: 20px;
    padding-bottom: 20px;
  }
  .countdown-container h1 {
    padding: 5px;
  }
}

@media (max-height: 660px) {
  .countdown-container {
    display: none !important;
  }
}